﻿/***********************************/
/* Fontes                          */
/***********************************/
@font-face {
    font-family: "Roboto-Light";
    src: url('/fonts/Roboto-Light.ttf'); /* IE */
}


/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}


/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

body {
    overflow-y: scroll;
    font-family: "Roboto-Light",Roboto,Helvetica,Arial,Verdana,Tahoma;
    -webkit-font-smoothing: antialiased;
    font-weight: 500;
    /* Margin bottom by footer height on < medium devices. TODO: Adjust this on footer changes */
    /* O Rodapé é bem maior em tamanhos 'sm-' */
    margin-bottom: 540px;
}

@media (min-width: 768px) {
    body {
        /* Margin bottom by footer height on >= medium devices. TODO: Adjust this on footer changes */
        /* O Rodapé é um pouco maior em tamanhos 'md' */
        margin-bottom: 460px;
    }
}

@media (min-width: 992px) {
    body {
        /* Margin bottom by footer height on >= large devices. TODO: Adjust this on footer changes */
        /* O Rodapé é normal em tamanhos 'lg+' */
        margin-bottom: 410px;
    }
}

main.container {
    margin-top: 1rem !important;
    padding-bottom: 1rem !important;
}

.page-title-outer {
    display: flex;
    justify-content: center;
    margin-bottom: 2rem;
    padding: 0 2rem;
}

.page-title {
    color: #9a4;
    font-size: 1.75rem;
}

.border-top {
  border-top: 1px solid #e5e5e5;
}

.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

.site-header {
    background-color: #fcfFf8;
    border-bottom: solid #b9ce8e 5px;
    padding-bottom: 3px;
}


.site-footer {
    background: #462;
    background-image: radial-gradient(at 75% 100%, #8a4 0%, #462 70%);
    position: absolute;
    bottom: 0;
    width: 100%;
    __white-space: nowrap;
    line-height: 24px; /* Vertically center the text there */
}

.site-footer .site-social-icons 
{
    font-size: 2.5rem;
}

.site-footer .site-social-icons a
{
    margin: 0 .75rem;
    __color: #cdb;
}


.site-footer .site-copyright {
    background-color: #222;
    color: silver;
}

textarea
{
    resize: none;
}


img.fa-alt {
    font-family: 'FontAwesome';
    /* customize the following as desired */
    font-size: 1rem;
    display: inline-block;
}

img[alt].fa-alt:after {
}

#layoutSpinnerModal .fade.show {
    opacity: .1 !important;
}


/***********************************/
/* Menu principal e minha conta    */
/***********************************/
.dropdown-minhaconta-foto {
    display: inline-block;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 56px;
    height: 56px;
    border-radius: 50%;
    margin-bottom: 10px;
}

.dropdown-minhaconta-avatar {
    color: #ddd;
    margin-bottom: 10px;
    font-size: 56px;
}


/***********************************/
/* Layout                          */
/***********************************/
div.layout-modal-message {
}

div.layout-modal-message.sucesso
{

}

div.layout-modal-message.erro
{

}

div.layout-notification-message {
    min-width: 240px;
    text-align: center;
}

div.layout-notification-message > div.toast-header
{
    font-weight: bold;
}

div.layout-notification-message.sucesso {
    background-color: #efe;
    color: #141;
}

div.layout-notification-message.erro {
    background-color: #fdd;
    color: #411;
}

div.layout-notification-message.sucesso > div.toast-header
{
    background-color: #cfc;
    color: #030;
}

div.layout-notification-message.erro > div.toast-header
{
    background-color: #fcc;
    color: #300;
}

.hidden_if_empty:empty {
    display: none;
}

/***********************************/
/* Customização do plugin filepond */
/***********************************/
.filepond--image-preview-wrapper {
}

.filepond--image-preview-overlay {
}

.filepond--item {
}

.filepond--item-panel {
    background-color: silver;
}

@media (min-width: 30em) {
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
}

/* Medium devices (tablets, 768px and up) */ 
@media (min-width: 768px) {
    .filepond--item {
        width: calc(50% - 0.75em);
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .filepond--item {
        width: calc(33% - .75em);
    }
}

/* Extra large devices (large desktops, 1200px and up) */ 
@media (min-width: 1200px) {
    .filepond--item {
        width: calc(25% - .75em);
    }
}


/***********************************/
/* Customizações do Bootstrap      */
/***********************************/

.bg-primary
{
    background-color: #692 !important;
}

.bg-secondary {
    background-color: #d71 !important;
}

.text-primary {
    color: #9a4 !important;
}

.text-primary-light {
    color: #bc7 !important;
}


.text-secondary {
    color: #d71 !important;
}

.text-light {
    color: #ddd !important;
}

.text-black-66 {
    color: #555;
}

.text-black-75 {
    color: #404040;
}

.form-control
{
    font-weight: inherit;
}

.accordion-toggle:after {
    font-family: 'bootstrap-icons';
    content: "\00a0\f235";
    float: right;
    __color: grey;
}

.accordion-toggle.collapsed:after {
    content: "\00a0\f229";
}

.btn {
    font-family: Roboto, "Roboto-Light";
}

.btn.btn-xs {
    padding: .25rem .4rem;
    font-size: .75rem;
    border-radius: .2rem;
}

.btn.btn-xl {
    padding: .4rem 1.25rem;
    font-size: 1.75rem;
    border-radius: .5rem;
}

.btn.btn-primary {
    background-color: #9b5;
    border-color: #796;
    __background-color: #1b6ec2;
    __border-color: #1861ac;
}

.btn.btn-primary:hover {
    background-color: #ac6;
    border-color: #8a7;
}

.btn.btn-primary:disabled {
    background-color: #896;
    border-color: #675;
}

.btn-primary:focus, .btn-primary.focus, .btn-primary:active, 
.btn-primary:not(:disabled):not(.disabled).active:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus {
    background-color: #ac6 !important;
    border-color: #8a7 !important;
    box-shadow: 0 0 0 0.2rem #ac65;
}

.btn.btn-secondary {
    background-color: #e92;
    border-color: #c82;
}

.btn.btn-secondary:hover {
    background-color: #fa3;
    border-color: #d92;
}

.btn.btn-secondary:disabled {
    background-color: #da4;
    border-color: #a93;
}

.btn-secondary:focus, .btn-secondary.focus, .btn-secondary:active,
.btn-secondary:not(:disabled):not(.disabled).active:focus,
.btn-secondary:not(:disabled):not(.disabled):active:focus {
    background-color: #fa3 !important;
    border-color: #d92 !important;
    box-shadow: 0 0 0 0.2rem #fa35;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.badge.badge-primary {
    background-color: #ac8;
}

.badge.badge-secondary {
    background-color: #eb7;
}

input.disabled, input:disabled,
.form-check.disabled .form-check-input, .form-check.disabled .form-check-label,
.custom-control.disabled .custom-control-label {
    opacity: 0.65;
}

input.disabled,
.form-check.disabled .form-check-input, .form-check.disabled .form-check-label,
.custom-control.disabled input, .custom-control.disabled .custom-control-label, .custom-control.disabled .custom-control-label::before {
    pointer-events: none !important;
}

.custom-control.custom-control-lg .custom-control-label::before,
.custom-control.custom-control-lg .custom-control-label::after {
    top: 0rem !important;
    left: -2rem !important;
    width: 1.5rem !important;
    height: 1.5rem !important;
}

.custom-control.custom-control-lg .custom-control-label {
    margin-left: 0.75rem !important;
    font-size: 1rem !important;
}


/***********************************/
/* Customizações do JQuery-UI      */
/***********************************/

.ui-autocomplete {
    position: absolute;
    cursor: default;
    /* Para exibir a lista de autocomplete dentro de modais, adicione a classe 'ui-front' ao container mais imediato (elemento pai) do elemento autocomplete */
    z-index: 200 !important;
    font-size: 12pt;
    border-radius: 3px;
}

.ui-menu {
    border-color: #ddd !important;
}

.ui-menu .ui-menu-item {
    border-top: solid 1px #e5e5e5 !important;
}

.ui-menu .ui-menu-item a {
}

.ui-widget {
    font-family: inherit;
}

.ui-state-active, .ui-widget-content .ui-state-active {
    background-color: #eee !important;
    color: inherit !important;

    border-color: #ddd;
    border-top-color: #e5e5e5;
    border-bottom-color: #e5e5e5;
    font-weight: inherit;
}


/***********************************/
/* Outros                          */
/***********************************/
.tamanho-imagem-lg {
    width: 1280px;
    height: 960px;
}

.tamanho-imagem-md {
    width: 640px;
    height: 480px;
}

.tamanho-imagem-sm {
    width: 320px;
    height: 240px;
}

.tamanho-imagem-xs {
    width: 200px;
    height: 200px;
}

.bg-image-cover {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
}


/***********************************/
/* Validação de formulários        */
/***********************************/

.text-danger.field-validation-error
{
    display: inline-block;
    background-color: #c44;
    color: white !important;
    padding: 2px 8px;
    font-size: .75rem;
    border-radius: 3px;
}

.validation-summary-errors {
    margin-bottom: 1rem;
}

.validation-summary-errors ul {
    list-style-type: square;
    margin-bottom: 0;
}


/***********************************/
/* Sidebar                         */
/***********************************/

.sidebar {
    display: flex;
    flex-direction: column;
    width: 320px;
    max-width: 80vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: -320px;
    z-index: 999;
    background: #f5f5f5;
    color: #fff;
    transition: all 0.3s;
    overflow-y: auto;
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
}

.sidebar.active {
    left: 0;
}

.sidebar-close {
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    position: absolute;
    top: 6px;
    right: 6px;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

.sidebar-close:hover {
    color: #7386D5;
}

.sidebar-overlay {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.7);
    z-index: 998;
    opacity: 0;
    transition: all 0.5s ease-in-out;
}

.sidebar-overlay.active {
    display: block;
    opacity: 1;
}

.sidebar .sidebar-header {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 12px 10px;
    background: #e5e5e5;
    border-bottom: solid 1px silver;
}

.sidebar .sidebar-content {
    flex-grow: 1;
    padding: 14px 0px;
}

.sidebar .sidebar-content>.sidebar-userinfo {
    padding: 0 1.5rem;
    color: #555;
    width: 100%;
    text-align: center;
}

.sidebar .sidebar-content>ul.navbar-nav>.nav-item {
    padding: 0 1.5rem;
    display: block;
}

.sidebar .sidebar-content>ul.navbar-nav>.nav-item>a {
    color: #555;
}

.sidebar .sidebar-content>ul.navbar-nav>.nav-item:hover {
    background: #ac6;
}

.sidebar .sidebar-content>ul.navbar-nav>.nav-item:hover>a {
    color: white;
}

.sidebar .sidebar-content>ul.navbar-nav>.nav-item>.btn {
    background: none;
    color: inherit;
    border: none;
    __padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
}

.sidebar .sidebar-content>ul.navbar-nav>.nav-item.active>a {
    color: #fff;
    background: #6d7fcc;
}


/******************************************/
/* Tratamentos específicos para browsers  */
/******************************************/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0px 1000px #ffffff inset !important;
}

input:-webkit-autofill::first-line,
input:-internal-autofill-selected {
{
    __font-size: 24px;
}

